nameOverride: "zangramru"

image:
  repository: gitea.le-memese.com/s3rius/zangramru
  tag: "latest"

service:
  port: 8000

env:
  ZANGRAMRU_server_port: 8000
  ZANGRAMRU_DB_HOST: cnpg-cluster-rw.cnpg-cluster.svc.cluster.local
  ZANGRAMRU_DB_USER: zangram
  ZANGRAMRU_DB_BASE: zangram
  ZANGRAMRU_START_DATE: "2026-07-01"

probes:
  liveness:
    httpGet:
      path: /api/health
      port: http
  readiness:
    httpGet:
      path: /api/health
      port: http

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: cert-issuer
    external-dns.alpha.kubernetes.io/hostname: zangram.le-memese.com
  tls:
    - hosts:
        - zangram.le-memese.com
      secretName: zangram-tls
  hosts:
    - host: zangram.le-memese.com
      paths:
        - path: /
          pathType: Prefix

migrators:
  pg:
    annotations:
      "helm.sh/hook-weight": "5"
    command: ["piccolo", "migrations", "forward", "all"]
